<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\tinyxml2\tinyxml2.cpp" />
    <ClCompile Include="Source\Config.cpp" />
    <ClCompile Include="Source\Display.cpp" />
    <ClCompile Include="Source\Engine.cpp" />
    <ClCompile Include="Source\Font.cpp" />
    <ClCompile Include="Source\Globals.cpp" />
    <ClCompile Include="Source\Gui.cpp" />
    <ClCompile Include="Source\GUIElements.cpp" />
    <ClCompile Include="Source\Input.cpp" />
    <ClCompile Include="Source\Logging.cpp" />
    <ClCompile Include="Source\MemoryManager.cpp" />
    <ClCompile Include="Source\ParticleSystem.cpp" />
    <ClCompile Include="Source\Primitives.cpp" />
    <ClCompile Include="Source\ResourceManager.cpp" />
    <ClCompile Include="Source\RNG.cpp" />
    <ClCompile Include="Source\Sound.cpp" />
    <ClCompile Include="Source\StateMachine.cpp" />
    <ClCompile Include="Source\TooltipSystem.cpp" />
    <ClCompile Include="Source\Unit.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Include\Config.h" />
    <ClInclude Include="Include\Display.h" />
    <ClInclude Include="Include\Engine.h" />
    <ClInclude Include="Include\Font.h" />
    <ClInclude Include="Include\Globals.h" />
    <ClInclude Include="Include\Gui.h" />
    <ClInclude Include="Include\GUIElements.h" />
    <ClInclude Include="Include\Input.h" />
    <ClInclude Include="Include\Logging.h" />
    <ClInclude Include="Include\MemoryManager.h" />
    <ClInclude Include="Include\Object.h" />
    <ClInclude Include="Include\ParticleSystem.h" />
    <ClInclude Include="Include\Primitives.h" />
    <ClInclude Include="Include\ResourceManager.h" />
    <ClInclude Include="Include\RNG.h" />
    <ClInclude Include="Include\Sound.h" />
    <ClInclude Include="Include\State.h" />
    <ClInclude Include="Include\StateMachine.h" />
    <ClInclude Include="Include\TooltipSystem.h" />
    <ClInclude Include="Include\Unit.h" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{BC92E65D-713E-46C6-A605-135AF3163274}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>Framework</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.15063.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>..\..\Libraries\Framework\Include;..\..\Libraries\glm;..\..\Libraries\SDL2\include;..\..\Libraries\SDL2_image\include;..\..\Libraries\SDL2_Mixer\include;..\..\Libraries\glew\include;..\..\Libraries\tinyxml2</AdditionalIncludeDirectories>
      <DisableSpecificWarnings>4244</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <OutputFile>Lib\x86\$(TargetName)d$(TargetExt)</OutputFile>
      <AdditionalOptions>
      </AdditionalOptions>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>..\..\Libraries\Framework\Include;..\..\Libraries\glm;..\..\Libraries\SDL2\include;..\..\Libraries\SDL2_image\include;..\..\Libraries\SDL2_Mixer\include;..\..\Libraries\glew\include;..\..\Libraries\tinyxml2</AdditionalIncludeDirectories>
      <DisableSpecificWarnings>4244</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <OutputFile>Lib\x64\$(TargetName)d$(TargetExt)</OutputFile>
      <AdditionalOptions>
      </AdditionalOptions>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>..\..\Libraries\Framework\Include;..\..\Libraries\glm;..\..\Libraries\SDL2\include;..\..\Libraries\SDL2_image\include;..\..\Libraries\SDL2_Mixer\include;..\..\Libraries\glew\include;..\..\Libraries\tinyxml2</AdditionalIncludeDirectories>
      <DisableSpecificWarnings>4244</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <OutputFile>Lib\x86\$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalOptions>
      </AdditionalOptions>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>..\..\Libraries\Framework\Include;..\..\Libraries\glm;..\..\Libraries\SDL2\include;..\..\Libraries\SDL2_image\include;..\..\Libraries\SDL2_Mixer\include;..\..\Libraries\glew\include;..\..\Libraries\tinyxml2</AdditionalIncludeDirectories>
      <DisableSpecificWarnings>4244</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <OutputFile>Lib\x64\$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalOptions>
      </AdditionalOptions>
    </Lib>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>